{lib, ...}: let
  hostname = "Pegasus";
in {
  # System version
  system.stateVersion = "23.11";

  imports = [
    ./hardware-configuration.nix

    # Import system configuration
    ../../modules/system.nix
    ../../modules/containers.nix
    ../../modules/virtualization.nix
    ../../modules/harden.nix
    ../../modules/kde.nix
  ];

  # Set networking
  hardware.enableRedistributableFirmware = true;
  networking.hostName = hostname;
  networking.networkmanager.enable = true;
  networking.useDHCP = lib.mkDefault true;

  # Bootloader configuration
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  # Setup Audio
  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
  };

  # Setup bluetooth
  hardware.bluetooth.enable = true;

  # Add OpenGl support
  hardware.graphics = {
    enable = true;
    enable32Bit = true;
  };
}
